package com.huimv.cattle.controller;


import com.huimv.cattle.pojo.DataSource;
import com.huimv.cattle.service.DataSourceService;
import com.huimv.cattle.service.ProductionCapacityService;
import com.huimv.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@CrossOrigin
@RestController
@RequestMapping("/v1.0.0/productionCapacity")
public class ProductionCapacityController {
    @Autowired
    private ProductionCapacityService productionCapacityService;
    @Autowired
    private DataSourceService dataSourceService;

    @PostMapping("/getProductionCapacity")
    public Result getProductionCapacity(HttpServletRequest request, @RequestBody Map<String, String> paramsMap){
        return productionCapacityService.getProductionCapacity(request,paramsMap);
    }

    @PostMapping("/getProductionCapacityScreen")
    public Result getProductionCapacityScreen(HttpServletRequest request, @RequestBody Map<String, String> paramsMap){
        DataSource dataSource = dataSourceService.getDataSourceStatus();
        if (dataSource.getDsStatus() == 1 && dataSource.getViewType() == 3){
            return productionCapacityService.getProductionCapacityScreen(request,paramsMap);
        }else {
            return productionCapacityService.getProductionCapacity(request,paramsMap);
        }

    }

    @PostMapping("/saveProductionCapacity")
    public Result saveProductionCapacity(HttpServletRequest request, @RequestBody Map<String, String> paramsMap){
        return productionCapacityService.saveProductionCapacity(request,paramsMap);
    }

}

