package com.huimv.cattle.controller;


import com.huimv.cattle.pojo.DataSource;
import com.huimv.cattle.service.DataSourceService;
import com.huimv.cattle.service.SalesCountService;
import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@CrossOrigin
@RestController
@RequestMapping("/v1.0.0/salesCount")
public class SalesCountController {
    @Autowired
    private SalesCountService salesCountService;
    @Autowired
    private DataSourceService dataSourceService;

    @PostMapping("/getSalesCount")
    public Result list(HttpServletRequest httpServletRequest,@RequestBody Map<String,String> paramsMap) {
        return salesCountService.getCount(httpServletRequest, paramsMap);
    }
    @PostMapping("/getSalesCountScreen")
    public Result getSalesCountScreen(HttpServletRequest httpServletRequest,@RequestBody Map<String,String> paramsMap) {
        DataSource dataSource = dataSourceService.getDataSourceStatus();
        if (dataSource.getDsStatus() == 1 && dataSource.getViewType() == 3){
            return salesCountService.getSalesCountScreen(httpServletRequest, paramsMap);
        }else {
            return salesCountService.getCount(httpServletRequest, paramsMap);
        }
    }

    @PostMapping("/saveSalesCount")
    public Result add(HttpServletRequest httpServletRequest,@RequestBody Map<String,String> paramsMap) {
        return salesCountService.addSalesCount(httpServletRequest,paramsMap);
    }

    @PostMapping("/deleteSalesCount")
    public Result delete(@RequestBody Map<String,String> paramsMap) {
        String ids = paramsMap.get("ids");
        String[] id=ids.split(",");
        for (String s : id) {
            salesCountService.removeById(s);
        }
        return new Result(ResultCode.SUCCESS,"删除成功");
    }
}

